Bug 177107 - Review Request: libgeda - library for gEDA circuit design software
Review Request: libgeda - library for gEDA circuit design software
Status: CLOSED DUPLICATE of bug 204168
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
Fedora Package Reviews List
:
Depends On: 177106
Blocks: 177108 177110 177113 177115 177413
  Show dependency treegraph
 
Reported: 2006-01-06 07:55 EST by Wojciech Kazubski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-16 13:29:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wojciech Kazubski 2006-01-06 07:55:44 EST
Spec Name or Url: http://www.sp5pbe.waw.pl/~sp5smk/fedora-extras/specs/libgeda.spec
SRPM Name or Url: http://www.sp5pbe.waw.pl/~sp5smk/fedora-extras/srpms/libgeda-20050820.fc4.src.rpm
Description: This is a library used by gEDA project (http://wwww.geda.seul.org), for electrical circuit design. The library provides utility functions for other software of gEDA.
This is my first group of package, so I am seeking a sponsor
Comment 1 Wojciech Kazubski 2006-02-08 09:49:21 EST
There is new release of libgeda available.
Specfile:
http://www.sp5pbe.waw.pl/~sp5smk/fedora-extras/specs2/libgeda.spec
Source RPM:
http://www.sp5pbe.waw.pl/~sp5smk/libgeda-20060123-1.fc4.src.rpm
Comment 2 Ralf Corsepius 2006-02-08 10:24:39 EST
Some remarks on your spec file (without having built it):

1. Missing requirements:
Requires(post): /sbin/ldconfig
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

2. IIRC, due to an issue in rpm, the %post, %preun etc. sections must be
separated by blank lines, otherwise rpm will concatenate then into one section.

3. The same remarks as on you libgdeda specs also apply here (pkgconfig,
includedir, static libs).

Comment 3 Wojciech Kazubski 2006-02-10 07:03:14 EST
1. Finished library has autogenerated dependence on ldconfig. Does it need 
extra dependency for install/uninstal? 
Dependency on install-info is not autogenerated so it may be good to include it 
explicitely. I will look into other packages having info files. 
 
2. Some half of existing packages have those sections without empty line 
between them. I have not seen any problem so far. 
Comment 4 Ralf Corsepius 2006-02-10 08:33:52 EST
(In reply to comment #3)
> 1. Finished library has autogenerated dependence on ldconfig. Does it need 
> extra dependency for install/uninstal? 
Yes. You are using scriptlets consisting of multiple lines. 
For these, explicit Requires(...) on all tools being used inside are necessary.

> 2. Some half of existing packages have those sections without empty line 
> between them. I have not seen any problem so far. 
Check the output of "rpm -q --scripts" on your package.

There have been cases where rpm "lumped together" such scripts into one script.
This had caused sporatic installation/deinstallation errors.
Comment 5 Wojciech Kazubski 2006-02-24 10:20:37 EST
I have applied some corrections to gEDA specfiles in response to the above 
comments.  
Specfiles are at: 
http://www.sp5pbe.waw.pl/~sp5smk/fedora-extras/specs2/ 
Source RPM is at:   
http://www.sp5pbe.waw.pl/~sp5smk/fedora-extras/srpms/  
 
Please check/review 
Comment 6 Hans de Goede 2006-06-16 13:29:27 EDT
Closing as won't fix because of non repsonsiveness of the submitter see bug 177106
Comment 7 Chitlesh GOORAH 2006-08-26 06:15:07 EDT

*** This bug has been marked as a duplicate of 204168 ***

Note You need to log in before you can comment on or make changes to this bug.